#
# spec file for package info2html (Version 1.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           info2html
BuildRequires:  apache2-devel libapr-util1-devel pcre-devel
URL:            http://sourceforge.net/projects/info2html/
License:        GPL, Other License(s), see package
Group:          Productivity/Publishing/Texinfo
Autoreqprov:    on
Provides:       inf2htm
Obsoletes:      inf2htm
Version:        1.4
Release:        16.2
Summary:        Program to Convert Info Pages into HTML Pages
BuildArchitectures:     noarch
Source:         info2html-1.4.tar.gz
Source1:        arrows.tar.gz
Patch:          info2html-1.4.dif
%define apache_serverroot %(/usr/sbin/apxs2 -q datadir 2>/dev/null || apxs -q PREFIX)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the CGI script info2html that creates HTML pages
from info documents.

Info2html opens a Web browser with an HTML page of the info file
/usr/share/info/dir.

Info references and nodes can be clicked to generate HTML pages of the
linked info files.



Authors:
--------
    Karl Guggisberg  <guggis@iam.unibe.ch>

%debug_package
%prep
%setup -n info2html-1.4 -a 1
%patch

%build

%install
install -d -m 0755                $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin
install -c -m 0755 infocat        $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin/
install -c -m 0755 info2html      $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin/
install -c -m 0644 info2html.conf $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin/
install -d -m 0755                $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/gif
install -c arrows/l_arrow.gif     $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/gif/
install -c arrows/r_arrow.gif     $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/gif/
install -c arrows/u_arrow.gif     $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/gif/
install -c arrows/r_hand.gif      $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/gif/
install -c arrows/r-ball.gif      $RPM_BUILD_ROOT%{apache_serverroot}/htdocs/gif/

%files
%defattr(644,root,root,755)
%dir %{apache_serverroot}/htdocs/gif
%attr(755,root,root) %{apache_serverroot}/cgi-bin/infocat
%attr(755,root,root) %{apache_serverroot}/cgi-bin/info2html
%attr(644,root,root) %config %{apache_serverroot}/cgi-bin/info2html.conf
%{apache_serverroot}/htdocs/gif/l_arrow.gif
%{apache_serverroot}/htdocs/gif/r_arrow.gif
%{apache_serverroot}/htdocs/gif/r_hand.gif
%{apache_serverroot}/htdocs/gif/u_arrow.gif
%{apache_serverroot}/htdocs/gif/r-ball.gif

%changelog -n info2html
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 17 2005 - werner@suse.de
- Add infocat script to cgi path (bug #127813)
* Tue Oct 11 2005 - dmueller@suse.de
- build as nonroot
* Wed Jun 08 2005 - werner@suse.de
- Go forwared to version 1.4 and port our patches to
* Fri Apr 22 2005 - werner@suse.de
- Avoid to be used with XSS attacks (bug #78956)
* Mon Apr 19 2004 - ro@suse.de
- build with apache2
* Tue Jun 17 2003 - kukuk@suse.de
- Remove directories already part of filesystem
- Rename to info2html
- Make a noarch package
* Wed Apr 16 2003 - coolo@suse.de
- use BuildRoot
* Fri Aug 02 2002 - ro@suse.de
- adapt server-root
* Tue Mar 19 2002 - ro@suse.de
- removed requires http_daemon, since the script can be called
  directly (konqueror knows "info:" url-type)
* Wed Feb 20 2002 - werner@suse.de
- Fix bug #13659: allow ++ in base names
* Thu Dec 14 2000 - werner@suse.de
- Group tag
* Mon Jun 26 2000 - ro@suse.de
- adapted to susehelp color layout
* Tue Feb 22 2000 - werner@suse.de
- Make spaces (equal to %%20i) between base info file and node name
  working (e.g. a2ps)
* Tue Feb 22 2000 - ro@suse.de
- added /usr/share/xemacs/info
* Sat Feb 12 2000 - ro@suse.de
- added /usr/share/info
* Mon Sep 20 1999 - ro@suse.de
- added requires http_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Dec 03 1998 - werner@suse.de
- Do not allow relative paths
- Do not allow other directories than those of the info path
* Wed May 28 1997 - werner@suse.de
  moved /httpd to /usr/local/httpd
* Fri Mar 21 1997 - werner@suse.de
- New package info2html version 1.1
  made some extensions to read tags too.
